samgis-lisa-on-cuda / pyproject.toml
alessandro trinca tornidor
chore: update lisa-on-cuda to version 1.2.4, bump to version 1.3.4
f7e107e
raw
history blame contribute delete
No virus
1.5 kB
[tool.poetry]
name = "samgis-lisa-on-cuda"
version = "1.3.4"
description = "A VLM backend for machine learning instance segmentation on geospatial data that uses LISA (Reasoning Segmentation via Large Language Model)."
authors = ["alessandro trinca tornidor <alessandro@trinca.tornidor.com>"]
license = "MIT license"
readme = "README.md"
[metadata]
name = "samgis-lisa-on-cuda"
version = "1.3.4"
[tool.poetry.dependencies]
bson = "^0.5.10"
contextily = "^1.5.2"
geopandas = "^0.14.3"
loguru = "^0.7.2"
numpy = "1.25.2"
opencv-python-headless = "^4.8.1.78"
pillow = "^10.2.0"
python = "~3.10"
python-dotenv = "^1.0.1"
rasterio = "^1.3.9"
requests = "^2.31.0"
samgis-core = "1.2.1"
lisa-on-cuda = "1.2.4"
[tool.poetry.group.aws_lambda]
optional = true
[tool.poetry.group.aws_lambda.dependencies]
aws-lambda-powertools = "^2.30.2"
awslambdaric = "^2.0.10"
jmespath = "^1.0.1"
pydantic = "^2.5.3"
[tool.poetry.group.test]
optional = true
[tool.poetry.group.test.dependencies]
pytest = "7.4.4"
pytest-cov = "4.1.0"
python-dotenv = "^1.0.1"
httpx = "^0.26.0"
[tool.poetry.group.docs]
optional = true
[tool.poetry.group.docs.dependencies]
sphinx = "^7.2.6"
sphinx-autodoc-typehints = "^1.25.2"
sphinxcontrib-openapi = "^0.8.4"
myst-parser = "^2.0.0"
[tool.poetry.group.fastapi]
optional = true
[tool.poetry.group.fastapi.dependencies]
fastapi = "^0.110.0"
loguru = "^0.7.2"
pydantic = "^2.6.3"
uvicorn = "^0.28.0"
[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"